[Setup] Product Five Problem after Upgrade

Alexander Limi limi at plone.org
Sat Jul 12 23:03:45 UTC 2008


I don't know your specific problem solution, but I wanted to answer a couple
of related questions:


Hilde T Lauvset Rafaelsen wrote:
> 
> I thought it was best to upgrade to plone 3.0.3 and zope 2.10.5 before I
> upgrade to the newest version.
> 

Generally, it's always best to upgrade to the newest version. As an example,
the Plone 3.1 release has migration/upgrade fixes that are not present in
the 3.0.x releases — which can make it easier to upgrade.

There are some exceptions when you are on very old releases (I believe
migrating from Plone 1.0 or 2.0 to 3.1 directly is not supported), but the
general rule is to use the latest release whenever possible. :)



> And does anybody know if it will work to just copy the database and not
> the
> Product catalog from plone 2.5 to a newer plone version? 
> 

Yes, that's usually the best approach — then move over the latest versions
of any add-on products you use. All this will be made much easier and
automated in the near future, when eggs and buildouts are more common.



-----
Alexander Limi · http://limi.net


-- 
View this message in context: http://n2.nabble.com/Product-Five-Problem-after-Upgrade-tp473450p475501.html
Sent from the Installation, Setup, Upgrades mailing list archive at Nabble.com.




More information about the Setup mailing list